Subject: bug#43436: closed (Re: [bug#43436] [PATCH 1/1] guix: scripts: build: Mention 'PACKAGE' in '--with-source' option.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Sep 2020 21:16:02 +0000

Your bug report

#43436: [PATCH 0/1] guix: scripts: build: Mention 'PACKAGE' in '--with-source' option.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43436: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43436
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43436] [PATCH 1/1] guix: scripts: build: Mention 'PACKAGE' in '--with-source' option.
From: Ludovic Courtès <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Mon, 21 Sep 2020 23:15:15 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

zimoun <[email-masked]> skribis:

> * guix/scripts/build.scm (show-transformation-options-help): Mention 'PACKAGE'
> in '--with-source' option.
> ---
>  guix/scripts/build.scm | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/guix/scripts/build.scm b/guix/scripts/build.scm
> index 25418661b9..4592f23f26 100644
> --- a/guix/scripts/build.scm
> +++ b/guix/scripts/build.scm
> @@ -427,7 +427,7 @@ a checkout of the Git repository at the given URL."
>  
>  (define (show-transformation-options-help)
>    (display (G_ "
> -      --with-source=SOURCE
> +      --with-source=PACKAGE=SOURCE

I added square brackets because PACKAGE is optional.

Thanks!

Ludo’.

Subject: [PATCH 0/1] guix: scripts: build: Mention 'PACKAGE' in '--with-source' option.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Wed, 16 Sep 2020 00:15:42 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear,

It appears serveral times that I am confused by the transformation
"--with-source" where the CLI reports:

--8<---------------cut here---------------start------------->8---
guix build: warning: transformation 'with-source' had no effect on
--8<---------------cut here---------------end--------------->8---

because I use "guix build --with-source=path/to/archive" where
'path/to/archive' does not match the package name.  Then "guix build -h" says:

--8<---------------cut here---------------start------------->8---
      --with-source=SOURCE
                         use SOURCE when building the corresponding package
--8<---------------cut here---------------end--------------->8---

and all the others transformation options says:

--8<---------------cut here---------------start------------->8---
      --with-input=PACKAGE=REPLACEMENT
                         replace dependency PACKAGE by REPLACEMENT
      --with-graft=PACKAGE=REPLACEMENT
                         graft REPLACEMENT on packages that refer to PACKAGE
      --with-branch=PACKAGE=BRANCH
                         build PACKAGE from the latest commit of BRANCH
      --with-commit=PACKAGE=COMMIT
                         build PACKAGE from COMMIT
      --with-git-url=PACKAGE=URL
                         build PACKAGE from the repository at URL
--8<---------------cut here---------------end--------------->8---

All the best,
simon

zimoun (1):
  guix: scripts: build: Mention 'PACKAGE' in '--with-source' option.

 guix/scripts/build.scm | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

-- 
2.28.0